<?php

register_nls_alerts_dashlet();

function register_nls_alerts_dashlet() {

	$dashlet_opts = array(
        	DASHLET_NAME        => 'nls_alerts',
                DASHLET_TYPE        => DASHLET_TYPE_CORE,
                DASHLET_SERVER_TYPE => SERVER_TYPE_NLS,
                DASHLET_VERSION     => '1.0.0',
                DASHLET_DATE        => '12/07/2017',
                DASHLET_AUTHOR      => 'Nagios Enterprises',
                DASHLET_DESCRIPTION => _('Show all currently defined alerts for a fused Nagios Log Server.'),
                DASHLET_COPYRIGHT   => '© 2017 Nagios Enterprises, LLC',
                DASHLET_HOMEPAGE    => 'www.nagios.com',
                DASHLET_LICENSE     => _('GPL v2'),
                DASHLET_PREVIEW     => get_dashlets_base_url() . 'nls_alerts/nls_alerts.png',
                DASHLET_LOAD_URL    => get_dashlets_base_url() . 'nls_alerts/nls_alerts.php',
                DASHLET_TITLE       => _('Log Server Alerts'),
                DASHLET_PARAMS      => 'get_nls_alert_params',
	);

	register_dashlet($dashlet_opts);
}

function get_nls_alert_params() {
        $arr = get_dashlet_dependent_params(true, false, false, false, SERVER_TYPE_NLS);
        return $arr;
}

?>